> For the complete documentation index, see [llms.txt](https://docs.avesapi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.avesapi.com/instagram-profile-scraper-api.md).

# Instagram Profile Scraper API

Instagram Scraper API lets you gather public data of an account from Instagram as structured JSON via our solid infrastructure. It is extremely easy to use and integrate into your own solution.

### API Access Key & Authentication

After signing up for an account, each user will be assigned a unique API Access Key. This key will be used to authenticate with the API via REST and access any of the available endpoints.

If you are a current user of AvesAPI, obtain the API Key from your [account page](https://app.avesapi.com/profile) to access our API. If you are not a member of AvesAPI you can [create your account](https://app.avesapi.com/register) to benefit from our service.

To authenticate with the API, simply append your API key to the API's base URL using the `apikey` parameter shown below.

```
https://api.avesapi.com/instagram/view-profile?apikey=YOUR_API_KEY
```

### Common API Error Codes

The response will be returned as **400** Status code except missing or invalid apikey If there is a problem with your request.

| Code | Type                  | Message                                              |
| ---- | --------------------- | ---------------------------------------------------- |
| 401  | missing\_apikey       | You must provide a valid apikey                      |
| 401  | invalid\_apikey       | You must provide a valid apikey                      |
| 400  | missing\_username     | You must provide a username                          |
| 400  | insufficient\_balance | Please reload your balance to keep using our service |
| 400  | restricted\_profile   | Age restriction profile                              |
| 400  | not\_found            | This user does not exist                             |
| 400  | system\_error         | Please try again later                               |

### Cost

**If the request returns as success or with status code 400 containing types such as (restricted\_profile, not\_found) then your balance will be deducted. Otherwise your balance will not be deducted.**

###

### API Endpoints

To query the API for Google search results, simply append the query parameter to the API's base URL and set it to a search query of your choice.

**Example request:**

```
https://api.avesapi.com/instagram/view-profile?apikey=YOUR_API_KEY&username=nike
```

### &#x20;Response and Definitions

Your API response strongly depends on your search query and the parameters you choose to make use of. Find below a representative example API response, returned for the query `nike` and containing some of Google's key response objects. Each available response object will be explained further below in this section.

Response and Object

<table><thead><tr><th>Object</th><th width="150">Type</th><th>Description</th></tr></thead><tbody><tr><td>success</td><td>Boolean</td><td>Returns true if request is responded as successful</td></tr><tr><td>total_time_taken</td><td>Int</td><td>Returns as milliseconds of how long does a request take</td></tr><tr><td>data > biography</td><td>String</td><td>Biography section of a profile on instagram</td></tr><tr><td>data > external_url</td><td>String</td><td>Shows the URL of a profile if present</td></tr><tr><td>data > edge_followed_by > count</td><td>Int</td><td>Shows follower count of an instagram account</td></tr><tr><td>data > edge_follow > count</td><td>Int</td><td>Shows following count of an instagram account</td></tr><tr><td>data > full_name</td><td>String</td><td>Shows the full name of account</td></tr><tr><td>data > is_business_account</td><td>Boolean</td><td>Returns true if scraped account is a business account</td></tr><tr><td>data > is_professional_account</td><td>Boolean</td><td>Returns true if scraped account  is a professional account</td></tr><tr><td>data > business_category_name</td><td>String</td><td>Shows the business category name of the scraped account if account is a business account</td></tr><tr><td>data > category_enum</td><td>String</td><td>Shows the category name as key of the scraped account</td></tr><tr><td>data > category_name</td><td>String</td><td>Shows the category name of the scraped account</td></tr><tr><td>data > is_private</td><td>Boolean</td><td>Returns true if the profile is public profile</td></tr><tr><td>data > is_verified</td><td>Boolean</td><td>Returns true if account is verified by Instagram</td></tr><tr><td>data > profile_pic_url</td><td>String</td><td>Returns the URL of instagram profile picture</td></tr><tr><td>data > profile_pic_url_hd</td><td>String</td><td>Returns the URL of instagram profile picture as HD</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.avesapi.com/instagram-profile-scraper-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
